## wmsystray-0.1.1.tar.bz2

=== Makefile ===
prefix=/usr
bindir = ${prefix}/bin
mandir = ${prefix}/share/man
INSTALL = /bin/install
INSTALLPROG = ${INSTALL} -m 0755
INSTALLMAN = ${INSTALL} -m 0644

all:
	make -C xembed xembed.o
	make -C wmsystray

clean:
	make -C xembed clean
	make -C wmsystray clean
	rm -f wmsystray.deb

install: wmsystray/wmsystray
	mkdir -p ${bindir}
	mkdir -p ${mandir}/man1
	${INSTALLPROG} wmsystray/wmsystray ${bindir}/wmsystray
	${INSTALLMAN} doc/wmsystray.1 ${mandir}/man1/wmsystray.1

deb: wmsystray/wmsystray
	echo 2.0 > debian-binary
	mkdir -p usr/bin
	mkdir -p usr/share/man/man1
	make prefix=usr install
	md5sum `find usr -type f` > debian/md5sums
	cd debian ; tar -zcf ../control.tar.gz *
	tar -zcf data.tar.gz usr
	ar -r wmsystray.deb debian-binary control.tar.gz data.tar.gz
	rm -rf debian/md5sums usr debian-binary control.tar.gz data.tar.gz

=== wmsystray/Makefile ===
include ../Rules.make

CC = gcc
CFLAGS = ${X11CFLAGS} -DTRACE_LEVEL=${TRACE_LEVEL} -I../xembed -Wall -g
LDFLAGS = ${X11LDFLAGS} -lXpm

OBJS = main.o ui.o systray.o xpms.o
XEMBED_OBJS = ../xembed/xembed.o

wmsystray: ${OBJS} ${XEMBED_OBJS}
	gcc ${OBJS} ${XEMBED_OBJS} -o wmsystray ${LDFLAGS}

clean:
	rm -f wmsystray ${OBJS}

=== xembed/Makefile ===
include ../Rules.make

CFLAGS = -DTRACE_LEVEL=${TRACE_LEVEL} ${X11CFLAGS} -Wall -g
LDFLAGS = ${X11LDFLAGS}

all: xembed.o

clean:
	rm -f xembed.o

=== debian/control ===
Package: wmsystray
Version: 0.1.1
Section: x11
Priority: extra
Architecture: i386
Maintainer: Matthew Reppert <arashi@kai.vm.bytemark.co.uk>
Depends: xlibs
Suggests: wmaker
Description: System tray applet / Window Maker dock app
 wmsystray provides a system tray area for other applications to display icons
 in. 
 . 
 wmsystray provides a system tray area compliant with the freedesktop.org
 System Tray Protocol specification.
 .
 Homepage: http://kai.vm.bytemark.co.uk/~arashi/wmsystray/
